Subject: bug#61937: 29.0.60; [FR] use-package :ensure to allow vc sources

From: Ruijie Yu <[email-masked]>
Date: Fri, 03 Mar 2023 22:57:36 +0800

I have been using straight.el [1] before `use-package' was taken into
emacs.git, as I needed to use some packages not from any elpa source but
from vc sources.  I recently noticed the function `package-vc-install'
has been introduced into 29, and would like to have `use-package' use it
in its :ensure form.

An analogous version from straight.el has already been made available,
which looks like the following:

    (use-package foo
      :straight (foo :repo "https://path.to/foo.el" :type git))

My hope is to extend :ensure form so that a similar specification can be
supplied to install packages directly from vc sources.

[1]: https://github.com/radian-software/straight.el

--
Best,

RY